<?php
/**
 * Rubedo -- ECM solution Copyright (c) 2014, WebTales
 * (http://www.webtales.fr/). All rights reserved. licensing@webtales.fr
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * Rubedo is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * @category Rubedo
 * @package Rubedo
 * @copyright Copyright (c) 2012-2014 WebTales (http://www.webtales.fr)
 * @license http://www.gnu.org/licenses/gpl.html Open Source GPL 3.0 license
 */

/**
 * Define all services
 */
return array(
    'Acl' => 'Rubedo\\Security\\Acl',
    'AppExtension' => 'Rubedo\\Backoffice\\Service\\AppExtension',
    'ApplicationLogger' => 'Rubedo\\Log\\ApplicationLogger',
    'ApplicationLog' => 'Rubedo\\Collection\\ApplicationLog',
    'Rubedo\\User\\Authentication\\AuthenticationService' => 'Rubedo\\User\\Authentication\\AuthenticationService',
    'Blocks' => 'Rubedo\\Collection\\Blocks',
    'Cache' => 'Rubedo\\Collection\\Cache',
    'ContentTypes' => 'Rubedo\\Collection\\ContentTypes',
    'Contents' => 'Rubedo\\Collection\\Contents',
    'Rubedo\\Internationalization\\Current' => 'Rubedo\\Internationalization\\Current',
    'CurrentTime' => 'Rubedo\\Time\\CurrentTime',
    'Rubedo\\User\\CurrentUser' => 'Rubedo\\User\\CurrentUser',
    'CustomThemes' => 'Rubedo\\Collection\\CustomThemes',
    'Dam' => 'Rubedo\\Collection\\Dam',
    'DamTypes' => 'Rubedo\\Collection\\DamTypes',
    'Date' => 'Rubedo\\Time\\Date',
    'Delegations' => 'Rubedo\\Collection\\Delegations',
    'Directories' => 'Rubedo\\Collection\\Directories',
    'ElasticDataIndex' => 'Rubedo\\Elastic\\DataIndex',
    'ElasticDataMapping' => 'Rubedo\\Elastic\\DataMapping',
    'ElasticDataSearch' => 'Rubedo\\Elastic\\DataSearch',
    'ElasticContents' => 'Rubedo\\Elastic\\Contents',
    'ElasticContentTypes' => 'Rubedo\\Elastic\\ContentTypes',
    'ElasticClickStream' => 'Rubedo\\Elastic\\ClickStream',
    'ElasticViewStream' => 'Rubedo\\Elastic\\ViewStream',
    'ElasticDam' => 'Rubedo\\Elastic\\Dam',
    'ElasticDamTypes' => 'Rubedo\\Elastic\\DamTypes',
    'ElasticUsers' => 'Rubedo\\Elastic\\Users',
    'ElasticUserTypes' => 'Rubedo\\Elastic\\UserTypes',
    'FieldTypes' => 'Rubedo\\Collection\\FieldTypes',
    'Files' => 'Rubedo\\Collection\\Files',
    'FrontOfficeTemplates' => 'Rubedo\\Templates\\FrontOfficeTemplates',
    'Groups' => 'Rubedo\\Collection\\Groups',
    'Hash' => 'Rubedo\\Security\\Hash',
    'HtmlCleaner' => 'Rubedo\\Security\\HtmlPurifier',
    'Icons' => 'Rubedo\\Collection\\Icons',
    'Images' => 'Rubedo\\Collection\\Images',
    'Languages' => 'Rubedo\\Collection\\Languages',
    'Logger' => 'Rubedo\\Log\\Logger',
    'Localisation' => 'Rubedo\\Collection\\Localisation',
    'Mailer' => 'Rubedo\\Mail\\Mailer',
    'MailingList' => 'Rubedo\\Collection\\MailingList',
    'Masks' => 'Rubedo\\Collection\\Masks',
    'MongoConf' => 'Rubedo\\Collection\\MongoConf',
    'MongoDataAccess' => 'Rubedo\\Mongo\\DataAccess',
    'MongoFileAccess' => 'Rubedo\\Mongo\\FileAccess',
    'MongoWorkflowDataAccess' => 'Rubedo\\Mongo\\WorkflowDataAccess',
    'NestedContents' => 'Rubedo\\Collection\\NestedContents',
    'Notification' => 'Rubedo\\Mail\\Notification',
    'PageContent' => 'Rubedo\\Content\\Page',
    'Pages' => 'Rubedo\\Collection\\Pages',
    'PersonalPrefs' => 'Rubedo\\Collection\\PersonalPrefs',
    'Queries' => 'Rubedo\\Collection\\Queries',
    'ReusableElements' => 'Rubedo\\Collection\\ReusableElements',
    'Recaptcha' => 'Rubedo\\Security\\Recaptcha',
    'RawRenderer' => 'Rubedo\\Templates\\Raw\\RawRenderer',
    'RubedoVersion' => 'Rubedo\\Collection\\RubedoVersion',
    'SearchLogger' => 'Rubedo\\Log\\SearchLogger',
    'SecurityLogger' => 'Rubedo\\Log\\SecurityLogger',
    'Session' => 'Rubedo\\User\\Session',
    'SessionData' => 'Rubedo\\Collection\\SessionData',
    'Sites' => 'Rubedo\\Collection\\Sites',
    'Taxonomy' => 'Rubedo\\Collection\\Taxonomy',
    'TaxonomyTerms' => 'Rubedo\\Collection\\TaxonomyTerms',
    'Themes' => 'Rubedo\\Collection\\Themes',
    'TinyUrl' => 'Rubedo\\Collection\\TinyUrl',
    'Translate' => 'Rubedo\\Internationalization\\Translate',
    'TwigRenderer' => 'Rubedo\\Templates\\Twig\\TwigRenderer',
    'Url' => 'Rubedo\\Router\\Url',
    'UrlCache' => 'Rubedo\\Collection\\UrlCache',
    'Users' => 'Rubedo\\Collection\\Users',
    'Versioning' => 'Rubedo\\Collection\\Versioning',
    'Wallpapers' => 'Rubedo\\Collection\\Wallpapers',
    'Workspaces' => 'Rubedo\\Collection\\Workspaces',
    'UserTypes' => 'Rubedo\\Collection\\UserTypes',
    'Emails' => 'Rubedo\\Collection\\Emails',
    'EmailTemplates' => 'Rubedo\\Collection\\EmailTemplates',
    'Rubedo\\Collection\\ShoppingCart' => 'Rubedo\\Collection\\ShoppingCart',
    'Countries' => 'Rubedo\\Collection\\Countries',
    'Taxes' => 'Rubedo\\Collection\\Taxes',
    'Shippers' => 'Rubedo\\Collection\\Shippers',
    'PaymentConfigs' => 'Rubedo\\Collection\\PaymentConfigs',
    'Orders' => 'Rubedo\\Collection\\Orders',
    'Stock' => 'Rubedo\\Collection\\Stock',
    'PaypalIPN' => 'Rubedo\\Collection\\PaypalIPN',
    'MongoDataImport' => 'Rubedo\\Mongo\\DataImport',
    'ImportData' => 'Rubedo\\Collection\\ImportData',
    'ImportProducts' => 'Rubedo\\Collection\\ImportProducts',
    'ImportPresets' => 'Rubedo\\Collection\\ImportPresets',
    'FingerprintData' => 'Rubedo\\Collection\\FingerprintData',
    'RSSFeeds' => 'Rubedo\\Collection\\RSSFeeds',
    'RubedoAPI\\Storage\\MongoStorage' => 'RubedoAPI\\Storage\\MongoStorage',
    'CheckPayment'=>'Rubedo\\Payment\\CheckPayment',
    'CreditTransferPayment'=>'Rubedo\\Payment\\CreditTransferPayment',
    'PaypalPayment'=>'Rubedo\\Payment\\PaypalPayment',
    'FSManager' => 'Rubedo\\Files\\FSManager',
);
